Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal.simple
Class ValuePortrayal2D

    java.lang.Object
      sim.portrayal.SimplePortrayal2D
          sim.portrayal.simple.RectanglePortrayal2D
              sim.portrayal.simple.ValuePortrayal2D

All Implemented Interfaces:
  java.io.Serializable, Portrayal, Portrayal2D

    public class ValuePortrayal2D

extends RectanglePortrayal2D

The ValuePortrayal2D is the default portrayal for ValueGridPortrayal2Ds. It requires a parent (the ValueGridPortrayal2D), which it uses to determine the correct colors for a given object. The objects portrayed must be instances of MutableDouble, where the value represents the level of the color.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ValuePortrayal2D.DoubleFilter`
`static class` | `ValuePortrayal2D.Filter`
`static class` | `ValuePortrayal2D.IntFilter`

Field Summary
`ValueGridPortrayal2D` | `parent`

Fields inherited from class sim.portrayal.simple.RectanglePortrayal2D
`filled, paint, scale`

Fields inherited from class sim.portrayal.SimplePortrayal2D
`TYPE_HIT_OBJECT, TYPE_SELECTED_OBJECT`

Constructor Summary
`ValuePortrayal2D(ValueGridPortrayal2D parent)`

Method Summary
`void` | `draw(java.lang.Object object, java.awt.Graphics2D graphics, DrawInfo2D info)` Draw a the given object with an origin at (info.draw.x, info.draw.y), and with the coordinate system scaled by so that 1 unit is in the x and y directions are equal to info.draw.width and info.draw.height respectively in pixels.
`Inspector` | `getInspector(LocationWrapper wrapper, GUIState state)` Provide an inspector for an object.
`java.lang.String` | `getName(LocationWrapper wrapper)` Returns a static, one-line name for the given object that is useful for a human to distinguish it from other objects.
`java.lang.String` | `getStatus(LocationWrapper wrapper)` Returns a simple, informative one-line description of the current status of the object, which may change at any time to reflect how the object is changing.
`void` | `setParent(ValueGridPortrayal2D parent)`

Methods inherited from class sim.portrayal.simple.RectanglePortrayal2D
`hitObject`

Methods inherited from class sim.portrayal.SimplePortrayal2D
`handleMouseEvent, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    public ValueGridPortrayal2D parent

Constructor Detail

### ValuePortrayal2D

    public ValuePortrayal2D(ValueGridPortrayal2D parent)

Method Detail

### setParent

    public void setParent(ValueGridPortrayal2D parent)

### draw

    public void draw(java.lang.Object object,
                     java.awt.Graphics2D graphics,
                     DrawInfo2D info)

  Description copied from interface: `Portrayal2D`
  Draw a the given object with an origin at (info.draw.x, info.draw.y), and with the coordinate system scaled by so that 1 unit is in the x and y directions are equal to info.draw.width and info.draw.height respectively in pixels. The rectangle given by info.clip specifies the only region in which it is necessary to draw. If info.precise is true, try to draw using real-valued high-resolution drawing rather than faster integer drawing. It is possible that object is null. The location of the object in the field may (and may not) be stored in info.location. The form of that location varies depending on the kind of field used.

  Specified by:
    `draw` in interface `Portrayal2D`
  Overrides:
    `draw` in class `RectanglePortrayal2D`

### getInspector

    public Inspector getInspector(LocationWrapper wrapper,
                                  GUIState state)

  Description copied from interface: `Portrayal`
  Provide an inspector for an object.

  Specified by:
    `getInspector` in interface `Portrayal`
  Overrides:
    `getInspector` in class `SimplePortrayal2D`

### getStatus

    public java.lang.String getStatus(LocationWrapper wrapper)

  Description copied from interface: `Portrayal`
  Returns a simple, informative one-line description of the current status of the object, which may change at any time to reflect how the object is changing. A simple default would be just to return getName(wrapper).

  Specified by:
    `getStatus` in interface `Portrayal`
  Overrides:
    `getStatus` in class `SimplePortrayal2D`

### getName

    public java.lang.String getName(LocationWrapper wrapper)

  Description copied from interface: `Portrayal`
  Returns a static, one-line name for the given object that is useful for a human to distinguish it from other objects. A simple default would be just to return "" + object.

  Specified by:
    `getName` in interface `Portrayal`
  Overrides:
    `getName` in class `SimplePortrayal2D`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD